summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/accounting
diff options
context:
space:
mode:
authormtm <mtm@FreeBSD.org>2004-01-17 11:25:16 +0000
committermtm <mtm@FreeBSD.org>2004-01-17 11:25:16 +0000
commitba6c0037984a16bd8d3a8fa61936186599674d98 (patch)
treebaf961a09f2753309620a1f85106153094a1ae9a /etc/rc.d/accounting
parentbfdb074293449d8ab824e35bd897285b01f5276a (diff)
downloadFreeBSD-src-ba6c0037984a16bd8d3a8fa61936186599674d98.zip
FreeBSD-src-ba6c0037984a16bd8d3a8fa61936186599674d98.tar.gz
Remove checks for the FreeBSD OS.
Diffstat (limited to 'etc/rc.d/accounting')
-rwxr-xr-xetc/rc.d/accounting24
1 files changed, 9 insertions, 15 deletions
diff --git a/etc/rc.d/accounting b/etc/rc.d/accounting
index 55c7529..7b07a9d 100755
--- a/etc/rc.d/accounting
+++ b/etc/rc.d/accounting
@@ -20,22 +20,16 @@ stop_cmd="accounting_stop"
accounting_start()
{
- case ${OSTYPE} in
- FreeBSD)
- _dir=`dirname "$accounting_file"`
- if [ ! -d `dirname "$_dir"` ]; then
- if ! mkdir -p "$_dir"; then
- warn "Could not create $_dir."
- return 1
- fi
+ _dir=`dirname "$accounting_file"`
+ if [ ! -d `dirname "$_dir"` ]; then
+ if ! mkdir -p "$_dir"; then
+ warn "Could not create $_dir."
+ return 1
fi
- if [ ! -e "$accounting_file" ]; then
- touch "$accounting_file"
- fi
- ;;
- *)
- ;;
- esac
+ fi
+ if [ ! -e "$accounting_file" ]; then
+ touch "$accounting_file"
+ fi
if [ ! -f ${accounting_file} ]; then
echo "Creating accounting file ${accounting_file}"
OpenPOWER on IntegriCloud